#!/bin/sh

# Build script for hdparm-9.43


##############################################
## place these 2 files in /tmp dir
#
#hdparm_compile.sh
#hdparm-9.43.tar.gz
#
# then run this build script 
##############################################


rm -rf /tmp/hdparm

[ -d /tmp/hdparm ] || mkdir -p /tmp/hdparm

cp ./hdparm-9.43.tar.gz /tmp/hdparm && tar -xvzf hdparm-9.43.tar.gz -C /tmp/hdparm

cd /tmp/hdparm/hdparm-9.43

export CFLAGS="-march=i486 -mtune=i686 -Os -pipe" 
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti"


# Adding --prefix=/usr/local to hdparm Makefile

sed -i 's/binprefix = /binprefix = \/usr\/local/' ./Makefile
sed -i 's/manprefix = \/usr/manprefix = \/usr\/local/' ./Makefile


make

strip --strip-debug --strip-unneeded hdparm

read -p "waiting to install, press Enter to continue.."

sudo make install

